Bug 490133 - (mingw32-qwt) Review Request: mingw32-qwt
Review Request: mingw32-qwt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On: mingw32-qt
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 09:51 EDT by Thomas Sailer
Modified: 2009-03-16 07:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 07:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-03-13 09:51:39 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-qwt.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-qwt-5.1.1-4.fc11.src.rpm
Description:
MinGW qwt library. qwt contains plot widgets for Qt.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Richard W.M. Jones 2009-03-13 13:29:28 EDT
Taking for review.
Comment 2 Richard W.M. Jones 2009-03-13 13:41:38 EDT
Output of auto-buildrequires looks good.

rpmlint says:

mingw32-qwt.src:31: W: rpm-buildroot-usage %prep sed -i "s\LIBPATH\ $RPM_BUILD_ROOT%{_mingw32_libdir}\1" qwtconfig.pri
mingw32-qwt.src:32: W: rpm-buildroot-usage %prep sed -i "s\HEADERPATH\ $RPM_BUILD_ROOT%{_mingw32_includedir}/%{name1}\1" qwtconfig.pri
mingw32-qwt.src:33: W: rpm-buildroot-usage %prep sed -i "s\DOCKPATH\ $RPM_BUILD_ROOT%{_mingw32_docdir}/%{name1}\1" qwtconfig.pri
mingw32-qwt.src:34: W: rpm-buildroot-usage %prep #sed -i "s\QTDESIGNERPATH\ $RPM_BUILD_ROOT%{_qt4_plugindir}/designer\1" designer/designer.pro
mingw32-qwt.src:35: W: rpm-buildroot-usage %prep sed -i "s\QTDESIGNERPATH\ $RPM_BUILD_ROOT%{_mingw32_libdir}/qt4/plugins/designer\1" designer/designer.pro

I don't really see a way to avoid this.  Apparently
this will be a problem in the case of RPM "short circuiting"
but I have no idea what that is or if anyone uses it.

mingw32-qwt.src: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 4)

Be nice to fix this.  Run the specfile through expand(1).

mingw32-qwt.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libqwt5.a
mingw32-qwt.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libqwtd5.a

These can be ignored.
Comment 3 Richard W.M. Jones 2009-03-13 13:52:00 EDT
+ rpmlint output
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
- upstream sources match sources in the srpm
  218cef1a39ebda6cfa440a0727464275 1686166

Source URL is incorrect.  It should be:

Source: http://downloads.sourceforge.net/%{name1}/%{name1}-%{version}.tar.bz2
                                         ^^^^^^^^

+ package successfully builds on at least one architecture
  x86_64
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
n/a does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
- reviewer should build the package in mock
? the package should build into binary RPMs on all supported architectures
? review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

----------------

Why are these lines commented out?
#%{_qt4_plugindir}/designer/libqwt_designer_plugin.so
#%{_mingw32_libdir}/qt4/plugins/designer/libqwt_designer_plugin.so

I will approve this package.  Before uploading, please
fix the Source line.

----------------
Package APPROVED by rjones.
----------------
Comment 4 Thomas Sailer 2009-03-13 14:12:53 EDT
The lines:
#%{_qt4_plugindir}/designer/libqwt_designer_plugin.so
#%{_mingw32_libdir}/qt4/plugins/designer/libqwt_designer_plugin.so
came from the base qwt package, and I have commented them out. Will delete them.

It does not make sense IMO to have designer plugins in mingw, because you would use the native tool to design dialogs, not a crosscompiled designer under wine.

BTW, thanks for the _very_ quick review!
Comment 5 Thomas Sailer 2009-03-13 14:20:02 EDT
New Package CVS Request
=======================
Package Name: mingw32-qwt
Short Description: MinGW Qt Widgets for Technical Applications
Owners: sailer rjones
Branches: 
InitialCC:
Comment 6 Kevin Fenzi 2009-03-15 22:04:06 EDT
cvs done.
Comment 7 Thomas Sailer 2009-03-16 07:16:07 EDT
Built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.